# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *


def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()

    # Providing fixed version information
    download_url = "https://ttyplus.com/download/mtputty_setup.exe"
    latest_bin = download_url.split("/")[-1]
    latest_bin = "mtputty_setyp.exe"
    # version = "1.8.5"

    # Downloading latest binaries
    print("Download URL is: %s" % download_url)
   
    wget(download_url, latest_bin, proxies=proxies)
    version = get_file_properties(latest_bin)["ProductVersion"]

    # Changing version of the package
    if Version(version, 4) > Version(control.get_software_version(), 4):
        print("Software version updated (from: %s to: %s)" % (control.get_software_version(), Version(version)))
        package_updated = True
    else:
        print("Software version up-to-date (%s)" % Version(version))
    control.set_software_version(version)
    control.save_control_to_wapt()

    # Validating update-package-sources
    return package_updated

    # # Changing version of the package and validating update-package-sources
    # return complete_control_version(control, version)
